メインコンテンツへスキップ
PUT
/
cms
/
source-code
/
2026-03
/
{environment}
/
content
/
{path}
ファイルを作成または更新
curl --request PUT \
  --url https://api.hubapi.com/cms/source-code/2026-03/{environment}/content/{path} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file'
{
  "createdAt": 123,
  "folder": true,
  "id": "<string>",
  "name": "<string>",
  "updatedAt": 123,
  "archivedAt": 123,
  "children": [
    "<string>"
  ],
  "hash": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

environment
string
必須

コンテンツファイルが配置されている環境(「ステージング」や「本番」など)。

path
string
必須

更新するコンテンツファイルのパスです。ファイルの場所を示す文字列である必要があります。

Pattern: .+

ボディ

multipart/form-data
file
file

レスポンス

successful operation

createdAt
integer<int64>
必須

オブジェクトが最初に作成された時点のタイムスタンプ。

folder
boolean
必須

このパスがフォルダーを参照するかどうかが決定されます。

id
string
必須

CMS開発者ファイルシステムにおけるファイルのパス。

name
string
必須

ファイルの名前。

updatedAt
integer<int64>
必須

オブジェクトが最後に更新された時点のタイムスタンプ。

archivedAt
integer<int64>

オブジェクトがアーカイブ(削除)された時点のタイムスタンプ。

children
string[]

オブジェクトがフォルダーの場合は、フォルダー内のファイルのファイル名が含まれます。

hash
string

データの整合性の確認に使用される、ファイルの内容の固有ID。

Last modified on April 13, 2026